<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_margin="0dp"
    android:orientation="horizontal"
    android:padding="0dp">

    <View
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="1" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="268dp"
        android:layout_height="match_parent"
        android:background="@drawable/menu_background">

        <ImageView
            android:id="@+id/menu_item_back"
            android:layout_width="27dp"
            android:layout_height="80dp"
            android:src="@mipmap/item_back"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/layout_title"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:layout_marginTop="40dp"
            android:text="定时停止播放"
            android:textColor="#ff333333"
            android:textSize="20sp"
            app:layout_constraintLeft_toRightOf="@id/menu_item_back"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <TextView
            android:id="@+id/timer_item_none"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:background="@drawable/menu_timer_option_decoration"
            android:gravity="center"
            android:text="不开启"
            android:textAlignment="center"
            android:textColor="#ffffffff"
            android:textSize="14sp"
            app:layout_constraintLeft_toRightOf="@id/menu_item_back"
            app:layout_constraintRight_toLeftOf="@id/timer_item_episode_one"
            app:layout_constraintTop_toBottomOf="@id/layout_title" />


        <TextView
            android:id="@+id/timer_item_episode_one"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:background="@drawable/menu_timer_option_decoration"
            android:gravity="center"
            android:text="播完本集"
            android:textAlignment="center"
            android:textColor="#ffffffff"
            android:textSize="14sp"
            app:layout_constraintLeft_toRightOf="@id/timer_item_none"
            app:layout_constraintRight_toRightOf="@id/guideline"
            app:layout_constraintTop_toBottomOf="@id/layout_title" />

        <TextView
            android:id="@+id/timer_item_episode_two"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:background="@drawable/menu_timer_option_decoration"
            android:gravity="center"
            android:text="播完2集"
            android:textAlignment="center"
            android:textColor="#ffffffff"
            android:textSize="14sp"
            app:layout_constraintLeft_toRightOf="@id/menu_item_back"
            app:layout_constraintRight_toLeftOf="@id/timer_item_episode_three"
            app:layout_constraintTop_toBottomOf="@id/timer_item_none" />


        <TextView
            android:id="@+id/timer_item_episode_three"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:background="@drawable/menu_timer_option_decoration"
            android:gravity="center"
            android:text="播完3集"
            android:textColor="#ffffffff"
            android:textSize="14sp"
            app:layout_constraintLeft_toRightOf="@id/timer_item_episode_two"
            app:layout_constraintRight_toRightOf="@id/guideline"
            app:layout_constraintTop_toBottomOf="@id/timer_item_episode_one" />

        <!-- 时长型定时 -->

        <TextView
            android:id="@+id/timer_item_duration_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:background="@drawable/menu_timer_option_decoration"
            android:gravity="center"
            android:text="10分钟"
            android:textColor="#ffffffff"
            android:textSize="14sp"
            app:layout_constraintLeft_toRightOf="@id/menu_item_back"
            app:layout_constraintRight_toLeftOf="@id/timer_item_duration_20"
            app:layout_constraintTop_toBottomOf="@id/timer_item_episode_two" />


        <TextView
            android:id="@+id/timer_item_duration_20"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:background="@drawable/menu_timer_option_decoration"
            android:gravity="center"
            android:text="20分钟"
            android:textColor="#ffffffff"
            android:textSize="14sp"
            app:layout_constraintLeft_toRightOf="@id/timer_item_duration_10"
            app:layout_constraintRight_toRightOf="@id/guideline"
            app:layout_constraintTop_toBottomOf="@id/timer_item_episode_three" />

        <TextView
            android:id="@+id/timer_item_duration_30"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:background="@drawable/menu_timer_option_decoration"
            android:gravity="center"
            android:text="30分钟"
            android:textColor="#ffffffff"
            android:textSize="14sp"
            app:layout_constraintLeft_toRightOf="@id/menu_item_back"
            app:layout_constraintRight_toLeftOf="@id/timer_item_duration_custom"
            app:layout_constraintTop_toBottomOf="@id/timer_item_duration_10" />


        <TextView
            android:id="@+id/timer_item_duration_custom"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:background="@drawable/menu_timer_option_decoration"
            android:gravity="center"
            android:text="自定义"
            android:textColor="#ffffffff"
            android:textSize="14sp"
            app:layout_constraintLeft_toRightOf="@id/timer_item_duration_30"
            app:layout_constraintRight_toRightOf="@id/guideline"
            app:layout_constraintTop_toBottomOf="@id/timer_item_duration_20" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_end="17dp" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>